<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerfileContext>..\Pos</DockerfileContext>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="ESC-POS\**" />
    <Content Remove="ESC-POS\**" />
    <EmbeddedResource Remove="ESC-POS\**" />
    <None Remove="ESC-POS\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="ESCPOS_NET" Version="3.0.0" />
    <PackageReference Include="Microsoft.AspNet.WebApi.SelfHost" Version="5.2.9" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.Newtonsoft" Version="6.5.0" />
    <PackageReference Include="System.ServiceProcess.ServiceController" Version="7.0.0" />
  </ItemGroup>

</Project>
